# simple-i3blocks
This is a simple - still in rogress - collection of `i3blocks` script and a config file with the aim to display only important information in favor of not spilling lots of numbers into the status bar. I.e. only the amount of left RAM is displayed as this is - in my point of view - the most imoortant information we like to know most of the times. 

# Install
Install `i3blocks` and clone this repo to `~/.config/i3blocks`. Remember to back up you existing configs and scripts inside that directory if you already created them.
```bash
git clone https://will.kein.hk/git/koksnuss/simple-i3blocks.git ~/.config/i3blocks
```
Adjust `~/.config/i3blocks/config` to control i3 status bar output. Finally reload your `i3` window manager. The default shortcut is `mod + SHIFT + r`, you should see a flickering.

# Roadmap
- [x] date and time
- [x] ram
- [x] storage
- [x] ip
- [ ] fix ip not showing sometimes
- [x] battery
- [x] same color palette
- [x] audio
- [ ] fix audio not changing on mute
- [ ] swap
- [ ] cpu
- [ ] wifi/ethernet/bluetooth
- [ ] external storage mount
- [ ] ethernet bandwith
